# -*- encoding: utf-8 -*-
# stub: arachni-reactor 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "arachni-reactor"
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Tasos Laskos"]
  s.date = "2015-06-11"
  s.description = "    Arachni::Reactor is a simple, lightweight, pure-Ruby implementation of the Reactor\n    pattern, mainly focused on network connections -- and less so on generic tasks.\n"
  s.email = "tasos.laskos@gmail.com"
  s.extra_rdoc_files = ["README.md", "LICENSE.md", "CHANGELOG.md"]
  s.files = ["CHANGELOG.md", "LICENSE.md", "README.md", "Rakefile", "lib/arachni", "lib/arachni/reactor", "lib/arachni/reactor.rb", "lib/arachni/reactor/connection", "lib/arachni/reactor/connection.rb", "lib/arachni/reactor/connection/callbacks.rb", "lib/arachni/reactor/connection/error.rb", "lib/arachni/reactor/connection/peer_info.rb", "lib/arachni/reactor/connection/tls.rb", "lib/arachni/reactor/global.rb", "lib/arachni/reactor/iterator.rb", "lib/arachni/reactor/queue.rb", "lib/arachni/reactor/tasks", "lib/arachni/reactor/tasks.rb", "lib/arachni/reactor/tasks/base.rb", "lib/arachni/reactor/tasks/delayed.rb", "lib/arachni/reactor/tasks/one_off.rb", "lib/arachni/reactor/tasks/periodic.rb", "lib/arachni/reactor/tasks/persistent.rb", "lib/arachni/reactor/version.rb", "spec/arachni", "spec/arachni/reactor", "spec/arachni/reactor/connection", "spec/arachni/reactor/connection/tls_spec.rb", "spec/arachni/reactor/connection_spec.rb", "spec/arachni/reactor/iterator_spec.rb", "spec/arachni/reactor/queue_spec.rb", "spec/arachni/reactor/tasks", "spec/arachni/reactor/tasks/base.rb", "spec/arachni/reactor/tasks/delayed_spec.rb", "spec/arachni/reactor/tasks/one_off_spec.rb", "spec/arachni/reactor/tasks/periodic_spec.rb", "spec/arachni/reactor/tasks/persistent_spec.rb", "spec/arachni/reactor/tasks_spec.rb", "spec/arachni/reactor_spec.rb", "spec/arachni/reactor_tls_spec.rb", "spec/spec_helper.rb", "spec/support", "spec/support/fixtures", "spec/support/fixtures/handlers", "spec/support/fixtures/handlers/echo_client.rb", "spec/support/fixtures/handlers/echo_client_tls.rb", "spec/support/fixtures/handlers/echo_server.rb", "spec/support/fixtures/handlers/echo_server_tls.rb", "spec/support/fixtures/pems", "spec/support/fixtures/pems/cacert.pem", "spec/support/fixtures/pems/client", "spec/support/fixtures/pems/client/cert.pem", "spec/support/fixtures/pems/client/foo-cert.pem", "spec/support/fixtures/pems/client/foo-key.pem", "spec/support/fixtures/pems/client/key.pem", "spec/support/fixtures/pems/server", "spec/support/fixtures/pems/server/cert.pem", "spec/support/fixtures/pems/server/key.pem", "spec/support/helpers", "spec/support/helpers/paths.rb", "spec/support/helpers/utilities.rb", "spec/support/lib", "spec/support/lib/server_option_parser.rb", "spec/support/lib/servers", "spec/support/lib/servers.rb", "spec/support/lib/servers/runner.rb", "spec/support/servers", "spec/support/servers/echo.rb", "spec/support/servers/echo_tls.rb", "spec/support/servers/echo_unix.rb", "spec/support/servers/echo_unix_tls.rb", "spec/support/shared", "spec/support/shared/connection.rb", "spec/support/shared/reactor.rb", "spec/support/shared/task.rb"]
  s.homepage = "https://github.com/Arachni/arachni-reactor"
  s.licenses = ["BSD 3-Clause"]
  s.rdoc_options = ["--charset=UTF-8"]
  s.rubygems_version = "2.2.2"
  s.summary = "A pure-Ruby implementation of the Reactor pattern."
  s.test_files = ["spec/arachni", "spec/arachni/reactor_spec.rb", "spec/arachni/reactor", "spec/arachni/reactor/tasks_spec.rb", "spec/arachni/reactor/queue_spec.rb", "spec/arachni/reactor/connection_spec.rb", "spec/arachni/reactor/iterator_spec.rb", "spec/arachni/reactor/tasks", "spec/arachni/reactor/tasks/periodic_spec.rb", "spec/arachni/reactor/tasks/base.rb", "spec/arachni/reactor/tasks/persistent_spec.rb", "spec/arachni/reactor/tasks/delayed_spec.rb", "spec/arachni/reactor/tasks/one_off_spec.rb", "spec/arachni/reactor/connection", "spec/arachni/reactor/connection/tls_spec.rb", "spec/arachni/reactor_tls_spec.rb", "spec/spec_helper.rb", "spec/support", "spec/support/servers", "spec/support/servers/echo_unix.rb", "spec/support/servers/echo_tls.rb", "spec/support/servers/echo.rb", "spec/support/servers/echo_unix_tls.rb", "spec/support/lib", "spec/support/lib/servers", "spec/support/lib/servers/runner.rb", "spec/support/lib/servers.rb", "spec/support/lib/server_option_parser.rb", "spec/support/shared", "spec/support/shared/connection.rb", "spec/support/shared/reactor.rb", "spec/support/shared/task.rb", "spec/support/fixtures", "spec/support/fixtures/pems", "spec/support/fixtures/pems/server", "spec/support/fixtures/pems/server/key.pem", "spec/support/fixtures/pems/server/cert.pem", "spec/support/fixtures/pems/cacert.pem", "spec/support/fixtures/pems/client", "spec/support/fixtures/pems/client/foo-cert.pem", "spec/support/fixtures/pems/client/key.pem", "spec/support/fixtures/pems/client/foo-key.pem", "spec/support/fixtures/pems/client/cert.pem", "spec/support/fixtures/handlers", "spec/support/fixtures/handlers/echo_client.rb", "spec/support/fixtures/handlers/echo_server_tls.rb", "spec/support/fixtures/handlers/echo_server.rb", "spec/support/fixtures/handlers/echo_client_tls.rb", "spec/support/helpers", "spec/support/helpers/paths.rb", "spec/support/helpers/utilities.rb"]
end
